
D4Science Infrastructure - Incident #11343

Preprod workspace of user "andrea.rossi" is not working, it is necessary for testing

Mar 02, 2018 03:20 PM - Massimiliano Assante

Status: Closed Start date: Mar 02, 2018

Priority: Urgent Due date: Mar 02, 2018

Assignee: Lucio Lelii % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Pre-Production   

Description

The workspace goes in loop and here's the stack trace 

2018-03-02 14:14:32,668 ERROR server.GWTWorkspaceServiceImpl [http-bio-9090-exec-478,getFolderChil

dren:402] %org.gcube.common.homelibrary.home.exceptions.InternalErrorException: java.lang.NullPoin

terException

    at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspaceSharedFolder.getUserNode(JCRWorkspac

eSharedFolder.java:277)

    at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspaceSharedFolder.getUserNode(JCRWorkspac

eSharedFolder.java:287)

    at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspaceSharedFolder.getParent(JCRWorkspaceS

haredFolder.java:479)

    at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspaceItem.isRoot(JCRWorkspaceItem.java:22

2)

    at org.gcube.portlets.user.workspace.server.GWTWorkspaceBuilder.buildGXTListFileModelItem(GWTW

orkspaceBuilder.java:556)

    at org.gcube.portlets.user.workspace.server.GWTWorkspaceServiceImpl.getFolderChildren(GWTWorks

paceServiceImpl.java:375)

    at sun.reflect.GeneratedMethodAccessor2605.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561)

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:2

08)

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:2

48)

    at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceSer

vlet.java:62)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:650)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at sun.reflect.GeneratedMethodAccessor2088.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at com.liferay.portal.kernel.bean.ClassLoaderBeanHandler.invoke(ClassLoaderBeanHandler.java:67

)

    at com.sun.proxy.$Proxy832.doFilter(Unknown Source)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:165)

    at com.liferay.portal.kernel.
History

#1 - Mar 07, 2018 03:10 PM - Pasquale Pagano

- Priority changed from High to Urgent

@lucio.lelii@isti.cnr.it, my workspace goes in a loop as well. Can you fix it? thanks. 

#2 - Mar 07, 2018 03:16 PM - Massimiliano Assante

The issue occurred when implementing the take course portlets. Costantino simply removed the faulty directories from our workspace when he used

to do this. Please note that my issue happens in the JCR preprod instance while @pasquale.pagano@isti.cnr.it 's one happened in the JCR Dev

instance

#3 - Mar 07, 2018 03:25 PM - Lucio Lelii

Yes, but I need to know which is the problematic folder.

#5 - Mar 08, 2018 10:56 AM - Roberto Cirillo

I've checked some folders on @pasquale.pagano@isti.cnr.it 's workspace in order to delete the payloads but all the folders are empty now.

In particular I've checked the following folders:

Workspace/mypythoncourse

Workspace/mycourse

Workspace/mycourse1

Workspace/_trainingcourses

Workspace/mypythonstartingcourse

 is it possible? Have you uploaded some files on that folders?

#6 - Mar 08, 2018 12:20 PM - Pasquale Pagano

- Status changed from New to Closed

I think the ticket can be closed since @lucio.lelii@isti.cnr.it deleted yesterday all the files generated by testing courses. Since then, I can access the

workspace. 
